import { lazy } from 'react'
import { Route } from 'react-router-dom'

const Clients = lazy(() => import('../components/Dashboard/Sales/Clients.jsx'))
const SalesOrders = lazy(
  () => import('../components/Dashboard/Sales/SalesOrders.jsx')
)
const SalesOverview = lazy(
  () => import('../components/Dashboard/Sales/SalesOverview.jsx')
)
const Marketplaces = lazy(
  () => import('../components/Dashboard/Sales/Marketplaces.jsx')
)
const Listings = lazy(
  () => import('../components/Dashboard/Sales/Listings.jsx')
)

const SalesRoutes = [
  <Route key='overview' path='sales/overview' element={<SalesOverview />} />,
  <Route key='clients' path='sales/clients' element={<Clients />} />,
  <Route
    key='salesorders'
    path='sales/salesorders'
    element={<SalesOrders />}
  />,
  <Route
    key='marketplaces'
    path='sales/marketplaces'
    element={<Marketplaces />}
  />,
  <Route key='listings' path='sales/listings' element={<Listings />} />
]

export default SalesRoutes
